/*  rustr.h

    Copyright (c) 2002 by Grundic Studio
    All Rights Reserved.
    History:
    [+] 06.07.02 Creation
    [+] 07.07.02 Add strlen

*/
int strlen(char *s)
{
   int i =0;
   while (1)
   {
      if (s[i] == '\0') break;
      i++;
   }
   return i;
}

char ruchar(char s)
{
   char en [] = "qwertyuiop[]asdfghjkl;'zxcvbnm,.";
   char ru [] = "\251\346\343\252\245\255\243\350"
                "\351\247\345\352\344\353\242\240"
                "\257\340\256\253\244\246\355\357"
                "\347\341\254\250\342\354\241\356";
   int i =0;
   while (i != strlen(en))
   {
      if (s == en[i])
      {
         s = ru[i];
         break;
      }
      i++;
   }
   return s;
}

char *rustr(char *s)
{
   int i =0;
   while (i != strlen(s))
   {
      s[i] = ruchar(s[i]);
      i++;
   }
   return s;
}